org.springframework.cglib.transform.impl

## Class MemorySafeUndeclaredThrowableStrategy

- java.lang.Object
- - org.springframework.cglib.core.DefaultGeneratorStrategy
  - - org.springframework.cglib.transform.impl.MemorySafeUndeclaredThrowableStrategy

- All Implemented Interfaces:
    org.springframework.cglib.core.GeneratorStrategy

      public class MemorySafeUndeclaredThrowableStrategy
      extends org.springframework.cglib.core.DefaultGeneratorStrategy

  Memory safe variant of `UndeclaredThrowableStrategy` ported from the latest as yet unreleased cglib code.

- - ### Field Summary

    - ### Fields inherited from class org.springframework.cglib.core.DefaultGeneratorStrategy

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemorySafeUndeclaredThrowableStrategy(Class wrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.cglib.core.ClassGenerator` | `transform(org.springframework.cglib.core.ClassGenerator cg)`

    - ### Methods inherited from class org.springframework.cglib.core.DefaultGeneratorStrategy

      `generate, getClassVisitor, getClassWriter, transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.cglib.core.GeneratorStrategy

      `equals`

- - ### Constructor Detail

    - #### MemorySafeUndeclaredThrowableStrategy

          public MemorySafeUndeclaredThrowableStrategy(Class wrapper)

  - ### Method Detail

    - #### transform

          protected org.springframework.cglib.core.ClassGenerator transform(org.springframework.cglib.core.ClassGenerator cg)
                                                                     throws Exception

      Overrides:
        `transform` in class `org.springframework.cglib.core.DefaultGeneratorStrategy`
      Throws:
        `Exception`